=begin
# ------------------------------------------------------------
# Main Dooe Tool Menu Routine 
# ------------------------------------------------------------
=end

require 'sketchup'

require 'doortools/doortoolright.rb'
require 'doortools/doortoolleft.rb'
require 'doortools/doortoolframe.rb'
require 'doortools/doortooltrim.rb'
require 'doortools/doortoolmullion.rb'
require 'doortools/doortoollouver.rb'
require 'doortools/doortoolglass.rb'

menu = UI.menu("Plugins").add_submenu("Door Tools")
toolbar = UI::Toolbar.new("Door Tools")

path = File.dirname(__FILE__) + "/doortools/"

cmd = UI::Command.new("Frame") { Sketchup.active_model.select_tool DoorToolFrame.new }
cmd.small_icon = cmd.large_icon = path + "dframe.png"
cmd.status_bar_text = "边框工具"
cmd.tooltip = "边框工具"
menu.add_item(cmd)
toolbar.add_item(cmd)

cmd = UI::Command.new("Left") { Sketchup.active_model.select_tool DoorToolLeft.new }
cmd.small_icon = cmd.large_icon = path + "ddoorl.png"
cmd.status_bar_text = "左手开门"
cmd.tooltip = "左手开门 "
menu.add_item(cmd)
toolbar.add_item(cmd)

cmd = UI::Command.new("Right") { Sketchup.active_model.select_tool DoorToolRight.new }
cmd.small_icon = cmd.large_icon = path + "ddoorr.png"
cmd.status_bar_text = "右手开门"
cmd.tooltip = "右手开门"
menu.add_item(cmd)
toolbar.add_item(cmd)

cmd = UI::Command.new("Trim") { Sketchup.active_model.select_tool DoorToolTrim.new }
cmd.small_icon = cmd.large_icon = path + "dtrim.png"
cmd.status_bar_text = "门套线工具"
cmd.tooltip = "门套线工具"
menu.add_item(cmd)
toolbar.add_item(cmd)

cmd = UI::Command.new("Mullion") { Sketchup.active_model.select_tool DoorToolMullion.new }
cmd.small_icon = cmd.large_icon = path + "dmullion.png"
cmd.status_bar_text = "竖窗工具"
cmd.tooltip = "竖窗工具"
menu.add_item(cmd)
toolbar.add_item(cmd)

cmd = UI::Command.new("Louver") { Sketchup.active_model.select_tool DoorToolLouver.new }
cmd.small_icon = cmd.large_icon = path + "dlouver.png"
cmd.status_bar_text = "百叶窗工具"
cmd.tooltip = "百叶窗工具"
menu.add_item(cmd)
toolbar.add_item(cmd)

cmd = UI::Command.new("Glass") { Sketchup.active_model.select_tool DoorToolGlass.new }
cmd.small_icon = cmd.large_icon = path + "dglass.png"
cmd.status_bar_text = "玻璃工具"
cmd.tooltip = "玻璃工具"
menu.add_item(cmd)
toolbar.add_item(cmd)